Package skyview.sia

# Class SIA

java.lang.Object
skyview.sia.SIA

public class SIA extends Object
This class initiates a SkyView SIA request.

## Constructor Summary

Constructors
Constructor
Description
`SIA()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doMetadata()`
`static SIA`
`getSIA()`
`static void`
`log(String msg)`
`static void`
`main(String[] args)`
`String[]`
`quicklook()`
`void`
`run()`
`boolean`
`useFits()`
`void`
`writeSIAFooter()`
`void`
`writeSIAHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SIA

public SIA()

## Method Details

### main

public static void main(String[] args)

### writeSIAHeader

public void writeSIAHeader()

### writeSIAFooter

public void writeSIAFooter()

### doMetadata

public void doMetadata()

### run

public void run()

### getSIA

public static SIA getSIA()

### useFits

public boolean useFits()

### quicklook

public String[] quicklook()

### log

public static void log(String msg)